For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
          • Tax Classes
              • GETList Product Tax Properties
              • PUTUpdate Product Tax Properties
              • DELDelete Product Tax Properties
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementTaxProduct Tax Properties

Delete Product Tax Properties

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/tax/products/properties
DELETE
/stores/:store_hash/v3/tax/products/properties
$curl -X DELETE "https://api.bigcommerce.com/stores/store_hash/v3/tax/products/properties?product_id:in=1" \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Delete tax properties that are associated with one or more products.
Was this page helpful?
Previous

Update Product Tax Properties

Next

List Tax Zones

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

product_id:inlist of integersRequired

ID of product. To target multiple products, provide a comma-separated list of IDs such as 12,34,56.

Response

No Content

Errors

400
Bad Request Error